Package: groovy.org.codenarc.rule.junit

## [Groovy] Class SpockIgnoreRestUsedRule

- groovy.org.codenarc.rule.junit.SpockIgnoreRestUsedRule

- If Spock's

  IgnoreRest:
    on any method, all non-annotated test methods are not executed. This behaviour is almost always unintended. It's fine to use
  IgnoreRest:
    locally during development, but when committing code, it should be removed.
  Authors:
    Jan Ahrens
    Stefan Armbruster
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`
    `String` | `specificationClassNames`
    `String` | `specificationSuperclassNames`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority

    - #### String specificationClassNames

    - #### String specificationSuperclassNames